package Uebung04;

import java.util.Scanner;

public class Aufgabe02 {
    public static void main(String[] args) {
        Scanner sc = new Scanner(System.in); // neues Scanner-Objekt sc

        System.out.print("Erste Zahl: ");
        int zahl1 = sc.nextInt();
        System.out.print("Zweite Zahl: ");
        int zahl2 = sc.nextInt();

        System.out.println(" Das kgV ist: " + kgv(zahl1, zahl2));
    }

    /**
     * Berechnet den größten gemeinsamen Teiler (ggT) der Zahlen a und b und gibt diesen wieder zurück.
     * @param a Erste Zahl
     * @param b Zweite Zahl
     * @return größten gemeinsamen Teiler.
     */
    public static int ggt (int a, int b) {
        // Die größere der beiden Zahlen muss als erstes an den Algorithmus übergeben werden.
        int va = a > b ? a : b;
        int vb = a > b ? b : a;
        int r = 1, vr = 1;
        while (r != 0) {
            vr = r;
            r = va % vb;
            va = vb;
            vb = r;
        }
        return vr;
    }

    /**
     * Berechnet das kleinste gemeinsame Vielfache (kgV) der Zahlen a und b und gibt es wieder zurück.
     * @param a Erste Zahl
     * @param b Zweite Zahl
     * @return kleinstes gemeinsames Vielfaches
     */
    public static int kgv (int a, int b) {
        return a * b / ggt(a, b);
    }
}
