package Uebung04;

import java.util.Scanner;

public class Aufgabe03 {
    public static void main(String[] args) {
        Scanner sc = new Scanner(System.in); // neues Scanner-Objekt sc
        System.out.print("Jahr: ");
        int jahr = sc.nextInt();

        System.out.print("Das Jahr " + jahr + " ist ");
        System.out.print(istSchaltjahr(jahr) ? "ein " : "kein ");
        System.out.println("Schaltjahr.");
    }

    /**
     * Berechnet, ob ein übergebenes Jahr ein Schaltjahr ist, oder nicht.
     * @param jahr Zu prüfendes Jahr
     * @return Jahr ist ein Schaltjahr.
     */
    public static boolean istSchaltjahr(int jahr) {
        if (jahr % 400 == 0) {
            return true;
        } else if (jahr % 100 == 0) {
            return false;
        } else if (jahr % 4 == 0) {
            return true;
        } else {
            return false;
        }
    }
}
