package Uebung04;

import java.util.Scanner;

public class Aufgabe05 {
    public static void main(String[] args) {
        Scanner sc = new Scanner(System.in); // neues Scanner-Objekt sc

        System.out.print("Anzahl Zeilen: ");
        int zeilen = sc.nextInt();
        System.out.print("Anzahl Spalten: ");
        int spalten = sc.nextInt();

        life(zeilen, spalten);
    }

    /**
     * Gibt auf StOut das Life-Programm-Muster aus.
     * @param zeilen Anzahl der Zeilen.
     * @param spalten Anzahl der Spalten.
     */
    public static void life(int zeilen, int spalten) {
        boolean[][] ausgabe = new boolean[zeilen][spalten];

        // Array betanken
        for (int i = 0; i < ausgabe.length; ++i) {
            for (int j = 0; j < ausgabe[i].length; ++j) {
                ausgabe[i][j] = j % (i + 2) == 0;
            }
        }

        // Array ausgeben
        for (boolean[] zeile : ausgabe) { // Die Objekte von ausgabe[][] sind zeilen[]
            for (boolean zelle : zeile) { // Die Objekte von zeilen[] sind zellen
                System.out.print(zelle ? 'T' : 'F');
            }
            System.out.println();
        }

    }
}
