package Uebung05;

import java.util.Scanner;

public class Aufgabe01 {

    public static void main(String[] args) {
        Scanner sc = new Scanner(System.in); // neues Scanner-Objekt sc

        System.out.print("Anzahl Zeilen: ");
        int zeilen = sc.nextInt();
        System.out.print("Anzahl Spalten: ");
        int spalten = sc.nextInt();

        boolean[][] ausgabe = new boolean[zeilen][spalten];

        // Array betanken
        for (int i = 0; i < ausgabe.length; ++i) {
            for (int j = 0; j < ausgabe[i].length; ++j) {
                ausgabe[i][j] = j % (i + 2) == 0;
            }
        }

        // Array ausgeben
        for (boolean[] zeile : ausgabe) { // Die Objekte von ausgabe[][] sind zeile[]
            for (boolean zelle : zeile) { // Die Objekte von zeile[] sind zelle
                System.out.print(zelle ? 'T' : 'F');
            }
            System.out.println();
        }

        System.out.println("-------------------------------------");

        // neues Ausgabe-Array erstellen mit derselben Größe, wie das Ausgangsarray
        boolean[][] neueAusgabe = new boolean[ausgabe.length][ausgabe[1].length];

        // Array betanken
        for (int i = 0; i < neueAusgabe.length; ++i) {
            for (int j = 0; j < neueAusgabe[i].length; ++j) {

                // Nachbarschaft berechnen
                int nachbarschaft = 0;

                // verhindern, dass i ausserhalb des Arrays liegt; prüfe oben
                if (i-1 >= 0 && ausgabe[i-1][j]) ++nachbarschaft;

                // verhindern, dass i, j ausserhalb des Arrays liegt; prüfe oben rechts
                if (i-1 >= 0 && j+1 < ausgabe[i].length && ausgabe[i-1][j]) ++nachbarschaft;

                // verhindern, dass j ausserhalb des Arrays liegt; prüfe rechts
                if (j+1 < ausgabe[i].length && ausgabe[i][j+1]) ++nachbarschaft;

                // verhindern, dass i, j ausserhalb des Arrays liegt; prüfe unten rechts
                if (i+1 < ausgabe.length && j+1 < ausgabe[i].length && ausgabe[i][j+1]) ++nachbarschaft;

                // verhindern, dass i ausserhalb des Arrays liegt; prüfe unten
                if (i+1 < ausgabe.length && ausgabe[i+1][j]) ++nachbarschaft;

                // verhindern, dass i, j ausserhalb des Arrays liegt; prüfe unten links
                if (i+1 < ausgabe.length && j-1 >= 0 && ausgabe[i+1][j]) ++nachbarschaft;

                // verhindern, dass j ausserhalb des Arrays liegt; prüfe links
                if (j-1 >= 0 && ausgabe[i][j-1]) ++nachbarschaft;

                // verhindern, dass i, j ausserhalb des Arrays liegt; prüfe oben links
                if (i-1 >= 0 && j-1 >= 0 && ausgabe[i-1][j]) ++nachbarschaft;

                // neuen Wert entsprechend der vorgegebenen Regeln setzen
                if (ausgabe[i][j] && (nachbarschaft == 2 || nachbarschaft == 3)) {
                    neueAusgabe[i][j] = true;
                } else if (!ausgabe[i][j] && nachbarschaft == 3) {
                    neueAusgabe[i][j] = true;
                } else {
                    neueAusgabe[i][j] = false;
                }

                // neueAusgabe[i][j] = (ausgabe[i][j] && (nachbarn == 2 || nachbarn == 3)) || (!ausgabe[i][j] && nachbarn == 3)
            }
        }

        // neues Array ausgeben
        for (boolean[] zeile : neueAusgabe) { // Die Objekte von neueAusgabe[][] sind zeile[]
            for (boolean zelle : zeile) { // Die Objekte von zeile[] sind zelle
                System.out.print(zelle ? 'T' : 'F');
            }
            System.out.println();
        }
    }
}
