package Uebung06;

import java.util.Random;

/**
 * <h1>Übung 06, Aufgabe 05</h1>
 *
 * <p>Programmieren 1
 * Wintersemester 2021/-22
 * HS-Bremerhaven
 * Prof. Dr. Peter Kelb</p>
 *
 * <p>Schreiben Sie eine Methode, die ein zweidimensionales Array der Größe 6x6
 * vom Typ int erzeugt und dieses mit zweistelligen Zufallszahlen füllt. Danach
 * sollen die Zeilensumme und die Gesamtsumme aller Felder berechnet und
 * jeweils ausgegeben werden.</p>
 *
 * @author franjogiessel
 */
public class Aufgabe05 {

    /**
     * Erstellt ein zweidimensionales int-Array und befüllt es mit zweistelligen pseudozufälligen int-Werten.
     * Anschließend wird das Array einmal auf StOut ausgegeben, für jede Zeile die Zeilensumme berechnet und auf StOut
     * ausgegeben und für das gesamte Array die Summe berechnet und auf StOut ausgegeben.
     * @param args Wird nicht genutzt.
     */
    public static void main(String[] args) {
        Random random = new Random();

        int[][] array = new int[6][6];

        for (int i = 0; i < array.length; i++) {
            for (int j = 0; j < array[i].length; j++) {
                array[i][j] = 10 + random.nextInt(90);
            }
        }

        // gibt das Array auf StOut aus
        for (int row[] : array) {
            for (int zelle : row) {
                System.out.print("  " + zelle);
            }
            System.out.println();
        }

        // berechnet die Zeilensumme und die Gesamtsumme
        int gesamtsumme = 0;
        for (int i = 0; i < array.length; ++i) {
            int zeilensumme = 0;
            for (int zelle : array[i]) {
                zeilensumme += zelle;
            }
            System.out.printf(" Zeile %d: %d%n", i, zeilensumme);
            gesamtsumme += zeilensumme;
        }
        System.out.printf(" Gesamtsumme: %d%n", gesamtsumme);
    }
}